Répertorier les groupes IDP
curl --request GET \
--url https://api.devin.ai/v3/enterprise/members/idp-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/members/idp-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/members/idp-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"idp_group_name": "<string>",
"role_assignments": [
{
"role": {
"role_id": "<string>",
"role_name": "<string>"
},
"org_id": "<string>"
}
]
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Groupes IDP (Entreprise)
Répertorier les groupes IDP
GET
/
v3
/
enterprise
/
members
/
idp-groups
Répertorier les groupes IDP
Autorisations
ViewAccountMembership au niveau de l’offre Enterprise.Autorisations
Identifiant de compte de service (préfixe : cog_)
Réponse
Réponse réussie
Show child attributes
Show child attributes
Curseur pour obtenir la page suivante, ou None s’il s’agit de la dernière page.
Indique si d’autres éléments sont disponibles après cette page.
Nombre total facultatif (peut être omis pour améliorer les performances).
⌘I

